<?php
require_once '../registration-form-112724/global.php';
require_once '../registration-form-112724/connect.php';

// Redirect if not logged in
requireLogin();

// Get user data
$user = getUserData($conn);
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Dashboard - USA Legacy Grant</title>
    <style>
        /* [Add your dashboard styles here] */
    </style>
</head>
<body>
    <header class="header">
        <div class="logo">
            <a href="../front-page-121824/index.html">
                <img src="../wp-content/themes/trevor-base-theme/assets/images/USA-Legacy-Grant-Logo.png" alt="Website Logo">
            </a>
        </div>
        <div class="header-right">
            <span style="color: white; margin-right: 15px;">Welcome, <?php echo htmlspecialchars($_SESSION['user_name']); ?></span>
            <a href="logout.php" class="login-button">Logout</a>
        </div>
    </header>
    
    <div class="container">
        <h1>Welcome to Your Dashboard</h1>
        <p>You are logged in as <?php echo htmlspecialchars($user['email']); ?></p>
        <!-- Add your dashboard content here -->
    </div>
</body>
</html>